From ce299376fc56c908039fddc44cde42d1e05f89c8 Mon Sep 17 00:00:00 2001
From: "Elias G. Perez" <eg642616@gmail.com>
Date: Thu, 2 May 2024 20:38:48 -0600
Subject: [PATCH] Test stipples in W32

---
 src/w32term.c | 16 +++++++++-------
 1 file changed, 9 insertions(+), 7 deletions(-)

diff --git a/src/w32term.c b/src/w32term.c
index 7afd1303b4d..6d73349a15a 100644
--- a/src/w32term.c
+++ b/src/w32term.c
@@ -1264,16 +1264,18 @@ w32_draw_glyph_string_background (struct glyph_string *s, bool force_p)
     {
       int box_line_width = max (s->face->box_horizontal_line_width, 0);
 
-#if 0 /* TODO: stipple */
+#if 1 /* TODO: stipple */
       if (s->stippled_p)
 	{
 	  /* Fill background with a stipple pattern.  */
-	  XSetFillStyle (s->display, s->gc, FillOpaqueStippled);
-	  XFillRectangle (s->display, FRAME_W32_WINDOW (s->f), s->gc, s->x,
-			  s->y + box_line_width,
-			  s->background_width,
-			  s->height - 2 * box_line_width);
-	  XSetFillStyle (s->display, s->gc, FillSolid);
+	  /* XSetFillStyle (s->display, s->gc, FillOpaqueStippled); */
+	  w32_draw_rectangle (get_frame_dc (s->f), s->gc, s->x, s->y,
+			      s->background_width, s->height);
+	  /* XFillRectangle (s->display, FRAME_W32_WINDOW (s->f), s->gc, s->x, */
+			  /* s->y + box_line_width, */
+			  /* s->background_width, */
+			  /* s->height - 2 * box_line_width); */
+	  /* XSetFillStyle (s->display, s->gc, FillSolid); */
 	  s->background_filled_p = true;
 	}
       else
-- 
2.44.0.windows.1

